=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vstable+git20251019.0054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:54:29 +0000
