## kf6-kwindowsystem 6.19.0+p24.04+vstable+git20251021.0522

=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vstable+git20251021.0522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:22:24 +0000
