## kf6-kwindowsystem 6.19.0+p24.04+vunstable+git20251015.0916

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
                         SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6Gui ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
