## kf6-kwindowsystem 6.19.0+p24.04+vunstable+git20251020.0145

=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vunstable+git20251020.0145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:45:42 +0000
