=== debian/changelog ===
kf6-kwindowsystem (6.20.0-2) unstable; urgency=medium

  * Team upload.
  * Mark new symbols of Wayland-only classes as Linux-only.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Nov 2025 08:34:03 +0100

kf6-kwindowsystem (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:16 +0100
