## kf6-kwindowsystem 6.20.0+p24.04+vunstable+git20251123.0016

=== debian/changelog ===
kf6-kwindowsystem (6.20.0+p24.04+vunstable+git20251123.0016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 00:16:51 +0000

kf6-kwindowsystem (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:47 +1000
