=== debian/changelog ===
kf6-kwindowsystem (6.20.0+p24.04+vunstable+git20251130.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 03:19:21 +0000
