=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kwindowsystem
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,7 +11,7 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libx11-dev,
                libxcb-icccm4-dev,
                libxcb-keysyms1-dev,
@@ -22,17 +23,18 @@
                libxrender-dev,
                pkgconf,
                plasma-wayland-protocols [linux-any],
-               qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                qt6-wayland-dev (>= 6.8.0~) [linux-any],
-               qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
+               qt6-wayland-private-dev (>= 6.8.0~) [linux-any],
                wayland-protocols (>= 1.21~) [linux-any],
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwindowsystem
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
+Rules-Requires-Root: no
 
 Package: libkf6windowsystem-data
 Architecture: all
@@ -51,8 +53,8 @@
 Architecture: any
 Depends: libkf6windowsystem6 (= ${binary:Version}),
          qml6-module-org-kde-kwindowsystem (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
-         qt6-declarative-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-declarative-dev (>= 6.8.0+dfsg~),
          qt6-wayland-dev (>= 6.8.0~) [linux-any],
          ${misc:Depends},
 Recommends: libkf6windowsystem-doc (= ${source:Version}),
@@ -93,9 +95,7 @@
 Package: qml6-module-org-kde-kwindowsystem
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for kwindowsystem
  The class KWindowSystem provides information about the state of the
  window manager and allows asking the window manager to change them
