=== debian/changelog ===
kf6-kwindowsystem (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:14 +0000
