## kf6-kwindowsystem 6.22.0+p24.04+vstable+git20260126.0631

=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vstable+git20260126.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:31:50 +0000
