=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vunstable+git20260123.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:14:46 +0000
