## kf6-kwindowsystem 6.22.0+p24.04+vunstable+git20260129.0218

=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vunstable+git20260129.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:19:00 +0000
