=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: kf6-kwindowsystem
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libx11-dev,
                libxcb-icccm4-dev,
                libxcb-keysyms1-dev,
@@ -23,18 +21,17 @@
                libxrender-dev,
                pkgconf,
                plasma-wayland-protocols [linux-any],
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
                qt6-wayland-dev (>= 6.8.0~) [linux-any],
-               qt6-wayland-private-dev (>= 6.8.0~) [linux-any],
+               qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
                wayland-protocols (>= 1.21~) [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kwindowsystem
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem.git
 
 Package: libkf6windowsystem-data
 Architecture: all
@@ -53,8 +50,8 @@
 Architecture: any
 Depends: libkf6windowsystem6 (= ${binary:Version}),
          qml6-module-org-kde-kwindowsystem (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
-         qt6-declarative-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
+         qt6-declarative-dev (>= 6.8.0~),
          qt6-wayland-dev (>= 6.8.0~) [linux-any],
          ${misc:Depends},
 Recommends: libkf6windowsystem-doc (= ${source:Version}),
@@ -95,7 +92,9 @@
 Package: qml6-module-org-kde-kwindowsystem
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: QML module for kwindowsystem
  The class KWindowSystem provides information about the state of the
  window manager and allows asking the window manager to change them
